Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xquery
Class XQStackTraceVariable

    java.lang.Object
      javax.xml.xquery.XQStackTraceVariable

All Implemented Interfaces:
  Serializable

    public class XQStackTraceVariable

extends Object
implements Serializable

This class represents the list of variables and their values in an error stack.

See Also:
  ``XQStackTraceElement``, ``XQQueryException``, Serialized Form

Constructor Summary
`XQStackTraceVariable(QName qname, String value)` Construct a stack trace variable object.

Method Summary
`QName` | `getQName()` Gets the `QName` of the variable.
`String` | `getValue()` Gets a short string representation of the value of the stack variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQStackTraceVariable

    public XQStackTraceVariable(QName qname,
                                String value)

  Construct a stack trace variable object.

  Parameters:
    `qname` - the `QName of the variable in the error stack`
    `value` - a vendor specific short string representation of the value of the variable in the error stack

Method Detail

### getQName

    public QName getQName()

  Gets the `QName` of the variable.

  Returns:
    the `QName` of the variable in the stack

### getValue

    public String getValue()

  Gets a short string representation of the value of the stack variable. Representations of values are vendor specific and for XML node types may be XPath descriptions such as "doc("0596003870/book1.xml")/book/chapter[5]". Sequences may print just some set of values from the sequence such as '("5", "6", "7", ...)'.

  Returns:
    the `String` representation of the value of the variable. This representation is vendor specific.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.